export interface ObjectStats {
	size: number;
}

export interface Movie {
	id: number;
	title: string;
	overview: string;
	backdrop_path: string;
	poster_path: string;
	release_date: string;
}

export interface MovieDetail {
	movie: Movie;
	stats?: ObjectStats;
}

export type SearchMovie = {
	ready: boolean;
} & Movie;

export interface CreateMovie {
	title: string;
	overview: string;
	poster_path: string;
	backdrop_path: string;
	release_date: string;
	tmdb_id: number;
}
